# include <iostream>
# include <string.h>
using namespace std;

class Person
{
	private:
		char *name,*lastname;
	public:
		Person(char *n,char *l);
		char *getName() const;
		char *getLastname() const;
		void	displayPerson() const;
		bool	comparePerson(Person &other);
		~Person();	
};

Person::Person(char *n,char *l)
{
	name=new char[strlen(n)+1];
	lastname=new char[strlen(l)+1];
	strcpy(name,n);
	strcpy(lastname,l);
}

char	*Person::getName() const
{
	return name;
}

char	*Person::getLastname() const
{
	return lastname;
}


void	Person::displayPerson() const
{
	cout<<"name: "<<name<<", lastname: "<<lastname<<endl;
}

bool	Person::comparePerson(Person &other)
{
	if(!strcmp(name,other.getName())
	 && !strcmp(lastname,other.getLastname()))
	return true;
	else
	return false;
}

Person::~Person()
{
	delete[] name;
	delete[] lastname;
}

int main()
{
	Person person1("Giannis","Tsoulos");	
	Person person2("Giannis","Pappas");
	person1.displayPerson();
	person2.displayPerson();
	if(person1.comparePerson(person2))
		cout<<"Same persons"<<endl;
	else
		cout<<"Different persons"<<endl;
	return 0;
}
